static FILE *inff;

static void init_input(void)
{
  char *c = getenv("MINIPLAY");
  if (!c) { printf("envvar MINIPLAY not set\n"); exit(1); }
  inff = fopen(c, "r");
  if (!inff) { perror(c); exit(1); }
}

static void close_input(void)
{
  fclose(inff);
}

static void read_input(float *f)
{
  int i;
  for (i = 0; i < SAMPLES; i++)
    if (fread(&f[i], 4, 1, inff) != 1) f[i] = 0;
}
